## VOICE Set Supplementary Service request VOICE Set Supplementary Service request |

## Functions

QmiMessageVoiceSetSupplementaryServiceInput * | qmi_message_voice_set_supplementary_service_input_new ()
QmiMessageVoiceSetSupplementaryServiceInput * | qmi_message_voice_set_supplementary_service_input_ref ()
void | qmi_message_voice_set_supplementary_service_input_unref ()
gboolean | qmi_message_voice_set_supplementary_service_input_get_supplementary_service_information ()
gboolean | qmi_message_voice_set_supplementary_service_input_set_supplementary_service_information ()
QmiMessageVoiceSetSupplementaryServiceOutput * | qmi_message_voice_set_supplementary_service_output_ref ()
void | qmi_message_voice_set_supplementary_service_output_unref ()
gboolean | qmi_message_voice_set_supplementary_service_output_get_result ()
gboolean | qmi_message_voice_set_supplementary_service_output_get_service_status ()
void | qmi_client_voice_set_supplementary_service ()
QmiMessageVoiceSetSupplementaryServiceOutput * | qmi_client_voice_set_supplementary_service_finish ()

## Types and Values

| QmiMessageVoiceSetSupplementaryServiceInput
| QmiMessageVoiceSetSupplementaryServiceOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceSetSupplementaryServiceInput
        ╰── QmiMessageVoiceSetSupplementaryServiceOutput

## Description

## Functions

### qmi_message_voice_set_supplementary_service_input_new ()

    QmiMessageVoiceSetSupplementaryServiceInput *
    qmi_message_voice_set_supplementary_service_input_new
                                   (void);

Allocates a new QmiMessageVoiceSetSupplementaryServiceInput.

#### Returns

the newly created QmiMessageVoiceSetSupplementaryServiceInput. The returned value should be freed with `qmi_message_voice_set_supplementary_service_input_unref()`.

Since: 1.30

### qmi_message_voice_set_supplementary_service_input_ref ()

    QmiMessageVoiceSetSupplementaryServiceInput *
    qmi_message_voice_set_supplementary_service_input_ref
                                   (QmiMessageVoiceSetSupplementaryServiceInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_set_supplementary_service_input_unref ()

    void
    qmi_message_voice_set_supplementary_service_input_unref
                                   (QmiMessageVoiceSetSupplementaryServiceInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceInput. |

Since: 1.30

### qmi_message_voice_set_supplementary_service_input_get_supplementary_service_information ()

    gboolean
    qmi_message_voice_set_supplementary_service_input_get_supplementary_service_information
                                   (QmiMessageVoiceSetSupplementaryServiceInput *self,
                                    QmiVoiceSupplementaryServiceAction *value_supplementary_service_information_supplementary_service_action,
                                    QmiVoiceSupplementaryServiceReason *value_supplementary_service_information_supplementary_service_reason,
                                    GError **error);

Get the 'Supplementary Service Information' field from `self` .

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceInput. |
value_supplementary_service_information_supplementary_service_action | a placeholder for the output QmiVoiceSupplementaryServiceAction, or `NULL` if not required. | [out][optional]
value_supplementary_service_information_supplementary_service_reason | a placeholder for the output QmiVoiceSupplementaryServiceReason, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_set_supplementary_service_input_set_supplementary_service_information ()

    gboolean
    qmi_message_voice_set_supplementary_service_input_set_supplementary_service_information
                                   (QmiMessageVoiceSetSupplementaryServiceInput *self,
                                    QmiVoiceSupplementaryServiceAction value_supplementary_service_information_supplementary_service_action,
                                    QmiVoiceSupplementaryServiceReason value_supplementary_service_information_supplementary_service_reason,
                                    GError **error);

Set the 'Supplementary Service Information' field in the message.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceInput. |
value_supplementary_service_information_supplementary_service_action | a QmiVoiceSupplementaryServiceAction. |
value_supplementary_service_information_supplementary_service_reason | a QmiVoiceSupplementaryServiceReason. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_set_supplementary_service_output_ref ()

    QmiMessageVoiceSetSupplementaryServiceOutput *
    qmi_message_voice_set_supplementary_service_output_ref
                                   (QmiMessageVoiceSetSupplementaryServiceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_set_supplementary_service_output_unref ()

    void
    qmi_message_voice_set_supplementary_service_output_unref
                                   (QmiMessageVoiceSetSupplementaryServiceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceOutput. |

Since: 1.30

### qmi_message_voice_set_supplementary_service_output_get_result ()

    gboolean
    qmi_message_voice_set_supplementary_service_output_get_result
                                   (QmiMessageVoiceSetSupplementaryServiceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_message_voice_set_supplementary_service_output_get_service_status ()

    gboolean
    qmi_message_voice_set_supplementary_service_output_get_service_status
                                   (QmiMessageVoiceSetSupplementaryServiceOutput *self,
                                    gboolean *value_service_status_active,
                                    gboolean *value_service_status_provisioned,
                                    GError **error);

Get the 'Service Status' field from `self` .

#### Parameters

self | a QmiMessageVoiceSetSupplementaryServiceOutput. |
value_service_status_active | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_service_status_provisioned | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_client_voice_set_supplementary_service ()

    void
    qmi_client_voice_set_supplementary_service
                                   (QmiClientVoice *self,
                                    QmiMessageVoiceSetSupplementaryServiceInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Supplementary Service request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_set_supplementary_service_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceSetSupplementaryServiceInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_voice_set_supplementary_service_finish ()

    QmiMessageVoiceSetSupplementaryServiceOutput *
    qmi_client_voice_set_supplementary_service_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_set_supplementary_service()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_set_supplementary_service()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceSetSupplementaryServiceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_set_supplementary_service_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageVoiceSetSupplementaryServiceInput

    typedef struct _QmiMessageVoiceSetSupplementaryServiceInput QmiMessageVoiceSetSupplementaryServiceInput;

The QmiMessageVoiceSetSupplementaryServiceInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageVoiceSetSupplementaryServiceOutput

    typedef struct _QmiMessageVoiceSetSupplementaryServiceOutput QmiMessageVoiceSetSupplementaryServiceOutput;

The QmiMessageVoiceSetSupplementaryServiceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30